---
lang: en
title: 'API docs: core.lifecycleobserverregistry.invokeobserver'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.core.lifecycleobserverregistry.invokeobserver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [LifeCycleObserverRegistry](./core.lifecycleobserverregistry.md) &gt; [invokeObserver](./core.lifecycleobserverregistry.invokeobserver.md)

## LifeCycleObserverRegistry.invokeObserver() method

Invoke an observer for the given event

<b>Signature:</b>

```typescript
protected invokeObserver(observer: LifeCycleObserver, event: keyof LifeCycleObserver): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  observer | <code>LifeCycleObserver</code> | A life cycle observer |
|  event | <code>keyof LifeCycleObserver</code> | Event name |

<b>Returns:</b>

`Promise<void>`


